Performance Manager Get Description

Performance Manager Get Description
The static description strings.

The static description strings.

Required privileges: System.View

Request
URI
GET
https://{vcenter-host}/sdk/vim25/{release}/PerformanceManager/{moId}/description
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the property attaches; the serialized managed object reference for a request has the form moType/moId, in this case PerformanceManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns PerformanceDescription of type(s) application/json
This response body class contains all of the following: DataObject
{
    "_typeName": "string",
    "counterType": [
        {
            "_typeName": "string",
            "label": "string",
            "summary": "string",
            "key": "string"
        }
    ],
    "statsType": [
        {
            "_typeName": "string",
            "label": "string",
            "summary": "string",
            "key": "string"
        }
    ]
}
array of object
counterType
Required

Identifies the type of the counter.

array of object
statsType
Required

Identifies the type of statistic.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/PerformanceManager/{moId}/description